# Copyright 2024, Seiko Epson Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the “Software”), to deal in
# the Software without restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
# Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

import os
import time

from logger.utils.timezone import get_time_zone


class TestTimezone:
    def test_get_timezone_with_japan(self):
        os.environ["TZ"] = "Asia/Tokyo"
        time.tzset()
        actual = get_time_zone()
        assert actual == "UTC+0900"

    def test_get_timezone_with_berlin(self):
        os.environ["TZ"] = "Europe/Berlin"
        time.tzset()
        actual = get_time_zone()
        assert actual == "UTC+0100"

    def test_get_timezone_with_columbia(self):
        os.environ["TZ"] = "America/Bogota"
        time.tzset()
        actual = get_time_zone()
        assert actual == "UTC-0500"
